package com.miaxis.school.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.school.domain.SchoolInfo;
import com.miaxis.wx.dto.QueryParams;

import java.util.List;
import java.util.Map;

/**
 * 驾校信息Mapper接口
 *
 * @author miaxis
 * @date 2022-01-20
 */
public interface SchoolInfoMapper extends BaseMapper<SchoolInfo> {
    /**
     * 查询驾校信息列表
     *
     * @param schoolInfo 驾校信息
     * @return 驾校信息集合
     */
    public List<SchoolInfo> selectSchoolInfoList(SchoolInfo schoolInfo);

    List<Map> queryNames(QueryParams queryParams);
}
